Setup build environment variables

Copied from: https://git.codelinaro.org/linaro/qcomlt/u-boot/-/wikis/Building-U-Boot-for-RBx

Signed-off-by: Amit Pundir <amit.pundir@linaro.org>
diff --git a/envsetup.sh b/envsetup.sh
new file mode 100644
index 0000000..59cb8b1
--- /dev/null
+++ b/envsetup.sh
@@ -0,0 +1,25 @@
+KERNEL_OUTDIR=.output
+
+# Make wrapper
+mu() {
+    make O=$KERNEL_OUTDIR CROSS_COMPILE=aarch64-linux-gnu- -j"$(nproc --all)" $@
+}
+
+# Make and generate boot image wrapper
+budt() {
+    mu || return 1
+    rm "$KERNEL_OUTDIR"/u-boot-nodtb.bin.gz 2>/dev/null || true
+    gzip "$KERNEL_OUTDIR"/u-boot-nodtb.bin
+   rm -f /tmp/dt.dtb
+    for DT in "$@"; do
+        cat "$KERNEL_OUTDIR"/arch/arm/dts/"$DT".dtb >> /tmp/dt.dtb
+    done
+    cat $KERNEL_OUTDIR/u-boot-nodtb.bin.gz /tmp/dt.dtb > /tmp/kernel-dtb
+
+    mkbootimg --base '0x00000000' \
+       --kernel_offset '0x00008000' \
+       --ramdisk_offset '0x01000000' \
+       --tags_offset '0x00000100' \
+       --pagesize '4096' \
+       --kernel /tmp/kernel-dtb -o '/tmp/u-boot.img'
+}